Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 13 Aug 2011 13:18:40 +0000 (UTC)
From:      Marius Strobl <marius@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-stable@freebsd.org, svn-src-stable-8@freebsd.org
Subject:   svn commit: r224837 - in stable/8/release: . amd64 i386 pc98 picobsd/floppy.tree/sbin sun4v
Message-ID:  <201108131318.p7DDIetV017999@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: marius
Date: Sat Aug 13 13:18:39 2011
New Revision: 224837
URL: http://svn.freebsd.org/changeset/base/224837

Log:
  MFC: r221466, r221494 (partial), r224652
  
  Change several archs to use makefs (from base) instead of mkisofs (from
  ports) which makes release CD generation both faster and self-hosting.

Added:
  stable/8/release/pc98/mkisoimages.sh
     - copied, changed from r221466, head/release/pc98/mkisoimages.sh
  stable/8/release/sun4v/mkisoimages.sh
     - copied, changed from r221466, head/release/sun4v/mkisoimages.sh
Modified:
  stable/8/release/Makefile
  stable/8/release/amd64/mkisoimages.sh
  stable/8/release/i386/mkisoimages.sh
Directory Properties:
  stable/8/release/   (props changed)
  stable/8/release/doc/en_US.ISO8859-1/hardware/   (props changed)
  stable/8/release/picobsd/   (props changed)
  stable/8/release/picobsd/floppy.tree/sbin/   (props changed)
  stable/8/release/picobsd/floppy.tree/sbin/dhclient-script   (props changed)
  stable/8/release/picobsd/qemu/   (props changed)
  stable/8/release/picobsd/tinyware/login/   (props changed)
  stable/8/release/powerpc/   (props changed)

Modified: stable/8/release/Makefile
==============================================================================
--- stable/8/release/Makefile	Sat Aug 13 13:15:38 2011	(r224836)
+++ stable/8/release/Makefile	Sat Aug 13 13:18:39 2011	(r224837)
@@ -335,12 +335,8 @@ EXTRAS+= cdrom.1 cdrom.2 cdrom.3
 .if defined(MAKE_ISOS)
 EXTRAS+= iso.1
 .endif
-.if ${TARGET} == "pc98"
-BOOTABLE="-G"
-.else
 BOOTABLE="-b"
 .endif
-.endif
 
 .if !defined(NODOC)
 DOCREL= doc.1 doc.2
@@ -1123,35 +1119,35 @@ CD_DVD1_PKGS=	${CD_PACKAGE_TREE}/dvd1
 .endif
 
 iso.1:
-.if exists(${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh)
+.if exists(${.CURDIR}/${TARGET}/mkisoimages.sh)
 	@echo "Creating ISO images..."
 .if defined(CD_BOOT)
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh ${BOOTABLE} \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh ${BOOTABLE} \
 	    FreeBSD_bootonly \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-bootonly.iso ${CD_BOOT}
 .endif
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh ${BOOTABLE} \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh ${BOOTABLE} \
 	    FreeBSD_Install \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-disc1.iso ${CD_DISC1} \
 	    ${CD_DISC1_PKGS}
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh \
 	    FreeBSD_Packages \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-disc2.iso ${CD_DISC2} \
 	    ${CD_DISC2_PKGS}
 .if defined(MAKE_DVD)
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh ${BOOTABLE} \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh ${BOOTABLE} \
 	    FreeBSD_Install \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-dvd1.iso ${CD_DVD1} \
 	    ${CD_DVD1_PKGS}
 .endif
 .if !defined(NODOC)
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh \
 	    FreeBSD_Documentation \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-disc3.iso ${CD_DOCS} \
 	    ${CD_DOCS_PKGS}
 .endif
 .if defined(SEPARATE_LIVEFS)
-	@sh ${.CURDIR}/${TARGET_ARCH}/mkisoimages.sh ${BOOTABLE} \
+	@sh ${.CURDIR}/${TARGET}/mkisoimages.sh ${BOOTABLE} \
 	    FreeBSD_LiveFS \
 	    ${CD}/FreeBSD-${BUILDNAME}-${TARGET}-livefs.iso ${CD_LIVEFS}
 .endif
@@ -1160,7 +1156,7 @@ iso.1:
 	@(cd ${CD} && sha256 *.iso > FreeBSD-${BUILDNAME}-${TARGET}-iso.CHECKSUM.SHA256)
 	touch ${.TARGET}
 .else
-	@echo "Do not know how to create an ISO for ${TARGET_ARCH}."
+	@echo "Do not know how to create an ISO for ${TARGET}."
 .endif
 
 #

Modified: stable/8/release/amd64/mkisoimages.sh
==============================================================================
--- stable/8/release/amd64/mkisoimages.sh	Sat Aug 13 13:15:38 2011	(r224836)
+++ stable/8/release/amd64/mkisoimages.sh	Sat Aug 13 13:18:39 2011	(r224837)
@@ -23,10 +23,9 @@
 # extra-bits-dir, if provided, contains additional files to be merged
 # into base-bits-dir as part of making the image.
 
-publisher="The FreeBSD Project.  http://www.freebsd.org/"
 if [ "x$1" = "x-b" ]; then
 	# This is highly x86-centric and will be used directly below.
-	bootable="-b boot/cdboot -no-emul-boot"
+	bootable="-o bootimage=i386;$4/boot/cdboot -o no-emul-boot"
 	shift
 else
 	bootable=""
@@ -37,21 +36,7 @@ if [ $# -lt 3 ]; then
 	exit 1
 fi
 
-type mkisofs 2>&1 | grep " is " >/dev/null
-if [ $? -ne 0 ]; then
-	echo The cdrtools port is not installed.  Trying to get it now.
-	if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
-		cd /usr/ports/sysutils/cdrtools && make install BATCH=yes && make clean
-	else
-		if ! pkg_add -r cdrtools; then
-			echo "Could not get it via pkg_add - please go install this"
-			echo "from the ports collection and run this script again."
-			exit 2
-		fi
-	fi
-fi
-
 LABEL=$1; shift
 NAME=$1; shift
 
-mkisofs $bootable -r -J -V $LABEL -publisher "$publisher" -o $NAME $*
+makefs -t cd9660 $bootable -o rockridge -o label=$LABEL $NAME $*

Modified: stable/8/release/i386/mkisoimages.sh
==============================================================================
--- stable/8/release/i386/mkisoimages.sh	Sat Aug 13 13:15:38 2011	(r224836)
+++ stable/8/release/i386/mkisoimages.sh	Sat Aug 13 13:18:39 2011	(r224837)
@@ -23,38 +23,20 @@
 # extra-bits-dir, if provided, contains additional files to be merged
 # into base-bits-dir as part of making the image.
 
-publisher="The FreeBSD Project.  http://www.freebsd.org/"
-
 if [ "x$1" = "x-b" ]; then
-	bootable="-b boot/cdboot -no-emul-boot"
-	shift
-elif [ "x$1" = "x-G" ]; then
-	bootable="-G /R/cdrom/bootonly/boot/cdboot"
+	# This is highly x86-centric and will be used directly below.
+	bootable="-o bootimage=i386;$4/boot/cdboot -o no-emul-boot"
 	shift
 else
 	bootable=""
 fi
 
 if [ $# -lt 3 ]; then
-	echo Usage: $0 '[-bG] image-label image-name base-bits-dir [extra-bits-dir]'
+	echo Usage: $0 '[-b] image-label image-name base-bits-dir [extra-bits-dir]'
 	exit 1
 fi
 
-type mkisofs 2>&1 | grep " is " >/dev/null
-if [ $? -ne 0 ]; then
-	echo The cdrtools port is not installed.  Trying to get it now.
-	if [ -f /usr/ports/sysutils/cdrtools/Makefile ]; then
-		cd /usr/ports/sysutils/cdrtools && make install BATCH=yes && make clean
-	else
-		if ! pkg_add -r cdrtools; then
-			echo "Could not get it via pkg_add - please go install this"
-			echo "from the ports collection and run this script again."
-			exit 2
-		fi
-	fi
-fi
-
 LABEL=$1; shift
 NAME=$1; shift
 
-mkisofs $bootable -r -J -V $LABEL -publisher "$publisher" -o $NAME $*
+makefs -t cd9660 $bootable -o rockridge -o label=$LABEL $NAME $*

Copied and modified: stable/8/release/pc98/mkisoimages.sh (from r221466, head/release/pc98/mkisoimages.sh)
==============================================================================
--- head/release/pc98/mkisoimages.sh	Wed May  4 23:41:11 2011	(r221466, copy source)
+++ stable/8/release/pc98/mkisoimages.sh	Sat Aug 13 13:18:39 2011	(r224837)
@@ -23,7 +23,6 @@
 # extra-bits-dir, if provided, contains additional files to be merged
 # into base-bits-dir as part of making the image.
 
-publisher="The FreeBSD Project.  http://www.freebsd.org/"
 if [ "x$1" = "x-b" ]; then
 	# This is highly x86-centric and will be used directly below.
 	bootable="-o generic-bootimage=$4/boot/cdboot"
@@ -40,6 +39,4 @@ fi
 LABEL=$1; shift
 NAME=$1; shift
 
-echo "/dev/iso9660/`echo $LABEL | tr '[:lower:]' '[:upper:]'` / cd9660 ro 0 0" > $1/etc/fstab
 makefs -t cd9660 $bootable -o rockridge -o label=$LABEL $NAME $*
-rm $1/etc/fstab

Copied and modified: stable/8/release/sun4v/mkisoimages.sh (from r221466, head/release/sun4v/mkisoimages.sh)
==============================================================================
--- head/release/sun4v/mkisoimages.sh	Wed May  4 23:41:11 2011	(r221466, copy source)
+++ stable/8/release/sun4v/mkisoimages.sh	Sat Aug 13 13:18:39 2011	(r224837)
@@ -66,7 +66,5 @@ fi
 LABEL=$1; shift
 NAME=$1; shift
 
-echo "/dev/iso9660/$LABEL / cd9660 ro 0 0" > $1/etc/fstab
 mkisofs $bootable -r -J -V $LABEL -publisher "$publisher" -o $NAME $*
-rm $1/etc/fstab
 rm -f ${IMG}



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201108131318.p7DDIetV017999>